Package org.apache.tools.ant.taskdefs.optional.junit

## Class DOMUtil.NodeListImpl

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.Vector<org.w3c.dom.Node>
      - - org.apache.tools.ant.taskdefs.optional.junit.DOMUtil.NodeListImpl

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Cloneable`, `java.lang.Iterable<org.w3c.dom.Node>`, `java.util.Collection<org.w3c.dom.Node>`, `java.util.List<org.w3c.dom.Node>`, `java.util.RandomAccess`, `org.w3c.dom.NodeList`
  Enclosing class:
    DOMUtil

      public static class DOMUtil.NodeListImpl
      extends java.util.Vector<org.w3c.dom.Node>
      implements org.w3c.dom.NodeList

  custom implementation of a nodelist
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.Vector

      `capacityIncrement, elementCount, elementData`

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NodeListImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getLength()` | Get the number of nodes in the list.
    `org.w3c.dom.Node` | `item​(int i)` | Get a particular node.

    - ### Methods inherited from class java.util.Vector

      `add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, forEach, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, iterator, lastElement, lastIndexOf, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, removeIf, removeRange, replaceAll, retainAll, set, setElementAt, setSize, size, sort, spliterator, subList, toArray, toArray, toString, trimToSize`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, stream, toArray`

- - ### Constructor Detail

    - #### NodeListImpl

          public NodeListImpl()

  - ### Method Detail

    - #### getLength

          public int getLength()

      Get the number of nodes in the list.
      Specified by:
        `getLength` in interface `org.w3c.dom.NodeList`
      Returns:
        the length of the list.

    - #### item

          public org.w3c.dom.Node item​(int i)

      Get a particular node.
      Specified by:
        `item` in interface `org.w3c.dom.NodeList`
      Parameters:
        `i` - the index of the node to get.
      Returns:
        the node if the index is in bounds, null otherwise.